#!/usr/bin/perl -w
# $Id: Makefile.PL,v 1.5 2003/12/14 09:45:31 ianb Exp $
# ianb@nessie.mcc.ac.uk 20031116

use ExtUtils::MakeMaker;

my @binscripts=qw(cddbtofilename freedbtofilename mp3id id3tofilename 
				  filenametoid3 movemusic pmv update-music-symlinks);

WriteMakefile(NAME=>"mp3-archive-tools",
			  VERSION=>"0.9",
			  EXE_FILES=>[map "bin/$_", @binscripts],
			  MAN1PODS=>{ "docs/mp3-archive-tools.pod" => '${INST_MAN1DIR}/mp3-archive-tools.1',
						  map({ +"bin/$_" => "\${INST_MAN1DIR}/$_.1" } @binscripts) },
			  PREREQ_PM=>{ 'MP3::Archive' => 0,
					       'MP3::Tag'     => 0 } ,
			  dist=>{ COMPRESS=>"gzip -9f", SUFFIX=>"gz", }, 
			  ($] >= 5.005
			   ? (ABSTRACT   => 'Tools to maintain an archive of mp3 files',
				  AUTHOR     => 'Ian Beckwith <ianb@nessie.mcc.ac.uk>')
			   : ()),
			  );
