# $Id: mp3-archive-tools.spec,v 1.4 2003/12/14 20:08:54 ianb Exp $

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo "$installvendorlib")

Summary:        tools to maintain an archive of mp3 files

Group:          Applications/Multimedia
%define version 0.9
%define real_version 0.9
%define release 1

%define name    mp3-archive-tools
%define initdir %{_initrddir}

Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
BuildArchitectures: noarch
Source: http://nessie.mcc.ac.uk/~ianb/projects/mp3-archive-tools/mp3-archive-tools-0.9.tar.gz
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}
Requires: libmp3-archive-perl, perl-MP3-Tag

%Description
mp3-archive-tools is a set of tools to ease organising a collection of mp3
(and other audio types) files.

Tools included:
mp3id                  - View/change id3 metadata. Supports ID3v2 and extended
                         frames (pictures, etc).
filenametoid3          - Update id3 metadata from filenames.
id3tofilename          - Rename files based on id3 metadata.
freedbtofilename       - Rename files based on data from freedb 
                         webpages (www.freedb.org).
cddbtofilename         - Rename files based on data from cddb
                         webpages (www.gracenote.com).
movemusic              - Move music files to their correct place in 
                         your archive.
update-music-symlinks  - Maintain a central link farm pointing to music
                         in various places.
pmv                    - Rename files using arbitrary perl code. Comes
                         with a set of useful example commands.


%prep 
%setup

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor DESTDIR=$RPM_BUILD_ROOT/%{_prefix}
make DESTDIR=$RPM_BUILD_ROOT/%{_prefix}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR="$RPM_BUILD_ROOT"  INSTALLVENDORMAN1DIR=%{_mandir}/man1 


[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%files 
%defattr(-,root,root)
%doc debian/changelog debian/copyright README examples/pmv-examples.sh
%{_mandir}/man1/
%{_bindir}/


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post

%preun

%changelog
* Sun Nov 16 2003 Ian Beckwith <ianb@nessie.mcc.ac.uk>
- Initial release
